package net.davidc.egp.snaxe;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id$
 */
public class SnakePart
{
  Snake snake;
  SnakePart previous;
  SnakePart next;
  int x;
  int y;
  Direction prevPieceDir = null;
  Direction nextPieceDir = null;

  public SnakePart(Snake snake, int x, int y)
  {
    this.snake = snake;
    this.x = x;
    this.y = y;
  }

  @Override
  public String toString()
  {
    return "SnakePart{" +
            "snake=" + snake +
            ", previous=" + previous +
            ", next=" + next +
            ", x=" + x +
            ", y=" + y +
            ", prevPieceDir=" + prevPieceDir +
            ", nextPieceDir=" + nextPieceDir +
            '}';
  }
}
