package net.davidc.egp.snaxe.networking;

/**
 * Our game protocol used inside swarm server packets.
 *
 * @author David Croft (david@davidc.net)
 * @version $Id: Protocol.java 25 2011-09-18 15:41:54Z david $
 */
public class Protocol
{
  public static final String SEPARATOR = "_";

  public static final String MESSAGE_IN_NORTH = "n";
  public static final String MESSAGE_IN_WEST = "w";
  public static final String MESSAGE_IN_SOUTH = "s";
  public static final String MESSAGE_IN_EAST = "e";
  public static final String MESSAGE_IN_NAME = "name";

  public static final String MESSAGE_OUT_QUEUED = "queued";
  public static final String MESSAGE_OUT_PREPARE = "prepare" + SEPARATOR;
  public static final String MESSAGE_OUT_PLAY = "play";
  public static final String MESSAGE_OUT_COLOR = "color" + SEPARATOR + "#";
  public static final String MESSAGE_OUT_GAMEOVER = "gameover";
}
