package net.davidc.egp.snaxe;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: Direction.java 26 2011-09-18 16:24:33Z david $
 */
public enum Direction
{
  NORTH, EAST, SOUTH, WEST;

  public Direction opposite()
  {
    switch (this) {
      case NORTH:
        return SOUTH;
      case EAST:
        return WEST;
      case SOUTH:
        return NORTH;
      case WEST:
        return EAST;
    }
    throw new RuntimeException("Impossible direction for opposite");
  }
}
